#include<bits/stdc++.h>
using namespace std;

float kt(float a,float b, float c)
{
	float kt=0;
	if ((a+b>c) && (a+c>b) && (b+c>a)) kt=1;
	return kt;
}
float dt(float a,float b,float c)
{
	float p,dt=0;
	p=(a+b+c)/2;
	float s;
	dt=sqrt(p*(p-a)*(p-b)*(p-c));
	return dt;
}

int main()
{
	float s;
	ifstream f1("tamgiac.inp");
	float x,y,z;
	f1>>x>>y>>z;
	ofstream f2("tamgiac.out");
	if (kt(x,y,z)==1) 
	{
		f2<<"YES"<<endl;
		dt(x,y,z);
		f2.setf(ios::fixed);
		f2.setf(ios::showpoint);
		f2.precision(2);
		f2<<dt(x,y,z);
	}
	else f2<<"NO";
}
